# 数据源配置
spring:
    datasource:
        type: com.alibaba.druid.pool.DruidDataSource
#        driverClassName: com.mysql.cj.jdbc.Driver
        druid:
            # 主库数据源
            master:
                url: jdbc:mysql://192.168.8.213:3306/zzjs?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8&autoReconnect=true
                username: root
                password: miaxis110
            # 从库数据源
            newgzpt:
                # 从数据源开关/默认关闭
                enabled: true
                url: jdbc:oracle:thin:@47.99.70.145:1521:orcl
                username: newgzpt
                password: newgzpt2016
            # 初始连接数
            initialSize: 5
            # 最小连接池数量
            minIdle: 10
            # 最大连接池数量
            maxActive: 20
            # 配置获取连接等待超时的时间
            maxWait: 60000
            # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
            timeBetweenEvictionRunsMillis: 60000
            # 配置一个连接在池中最小生存的时间，单位是毫秒
            minEvictableIdleTimeMillis: 300000
            # 配置一个连接在池中最大生存的时间，单位是毫秒
            maxEvictableIdleTimeMillis: 900000
            # 配置检测连接是否有效
            validationQuery: SELECT 1 FROM DUAL
            testWhileIdle: true
            testOnBorrow: false
            testOnReturn: false
            webStatFilter:
                enabled: true
            statViewServlet:
                enabled: true
                # 设置白名单，不填则允许所有访问
                allow:
                url-pattern: /druid/*
                # 控制台管理用户名和密码
                login-username:
                login-password:
            filter:
                stat:
                    enabled: true
                    # 慢SQL记录
                    log-slow-sql: true
                    slow-sql-millis: 1000
                    merge-sql: true
                wall:
                    config:
                        multi-statement-allow: true
    # redis 配置
    redis:
        # 地址
        host: 192.168.8.213
        # 端口，默认为6379
        port: 6379
        # 密码
        password:
        # 连接超时时间
        timeout: 10s
        lettuce:
            pool:
                # 连接池中的最小空闲连接
                min-idle: 0
                # 连接池中的最大空闲连接
                max-idle: 8
                # 连接池的最大数据库连接数
                max-active: 8
                # #连接池最大阻塞等待时间（使用负值表示没有限制）
                max-wait: -1ms

# 短信验证
sms_user_name: "jsjp"
sms_password: "t7nwh7"



# 调用外部接口
feign:
    jgpt_ipport: http://localhost:8080/
    qgpt_ipport: http://114.55.58.112:8085/

# 微信小程序
app:
    appid: wx8f43db501343feab
    secret: 3509a81880669ffa6fa554b2aa050351

# 极速云助手微信公众号
gzh:
    appid: "wxff332e2f6da86bf9"
    secret: "65f267dcb2e387f7caf651a80a118253"

# 腾讯cos
cos:
    secretId: AKIDwISNOFsJXYGjy89FJI9UnzuZFgTtRgFe
    secretKey: IK5af8MJzPoKbdQxDCtKWR5T5PSEkyDB
    bucket: ap-shanghai
    bucketName: t1-1305573081
    path: https://t1-1305573081.file.myqcloud.com
    preffix: t1


# 微信支付
wxpay:
    v3url: https://api.mch.weixin.qq.com/v3/pay/transactions/jsapi
    v3urlRefund: https://api.mch.weixin.qq.com/v3/refund/domestic/refunds
    merchantId: 1608699504
    serialNumber: 487159E168001CDBA0EFE2C988249A84023AD6CC
    v3key: qqwweerrttyyuuiioopp123456789000
    notifyUrl: http://218.85.55.253:65535/zzjs-admin/open-api/wx/notify/wxpay
    notifyUrlRefund: http://218.85.55.253:65535/zzjs-admin/open-api/wx/notify/refund


# 电影
film:
    appKey: 10000000000
    appSecret: 25f9e794323b453885f5181f1b624d0b
    notifyUrl: http://218.85.55.253:65535/zzjs-admin/open-api/film/notify/filmOrder
    v1Url: http://movieapi-test.taototo.cn/
    v2Url: http://movieapi2-test.taototo.cn/

# 拼多多
pdd:
    clientId: "fa0f2debb5b0444b9719919d7b8204d1"
    clientSecret: "3305b6bb37252495848e67fd991134651e308495"
    pid: "1642187_203462988"

# 美团联盟
mei:
    actId: "2"
    key: "610077fffb51712efaa686d9ffb623da"
    secret: "514202a9238958b16cb13805d6f79273"
    sid: "jsshq001"
    appId: "wxde8ac0a21135c07d"

# 挖数据平台
wai:
    appid: "7629"
    secret: "cce08fcab10ff96a863892bb6e396a9e"


# 福禄平台
fulu:
    appKey: "i4esv1l+76l/7NQCL3QudG90Fq+YgVfFGJAWgT+7qO1Bm9o/adG/1iwO2qXsAXNB"
    appSecret: "0a091b3aa4324435aab703142518a8f7"
    url: "http://pre.openapi.fulu.com"
    notifyUrl: "http://218.85.55.253:65535/zzjs-admin/open-api/fulu/notify/fuluOrder"
